Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Cairo 0.2 blocking 1.0.2 from compiling
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
rada
Apprentice
Apprentice


Joined: 21 Oct 2005
Posts: 202
Location: Ottawa, Canada

PostPosted: Wed Oct 26, 2005 10:12 pm    Post subject: Cairo 0.2 blocking 1.0.2 from compiling Reply with quote

Hi, I'm trying to upgrade to the latest version of cairo but I'm given an error that Cairo 0.2 (not installed) is blocking the installation of 1.0.2
Code:
[blocks B     ] <x11-libs/cairo-0.2 (is blocking x11-libs/cairo-1.0.2)
[ebuild     U ] x11-libs/cairo-1.0.2 [0.1.23-r1] +X -doc -glitz +png 1,424 kB


Anyone have any ideas? Thanks!
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Thu Oct 27, 2005 8:56 am    Post subject: Reply with quote

It would appear to me that portage thinks that you have some older form of cairo on you system. "emerge -C cairo && emerge cairo" to see if that helps.
Back to top
View user's profile Send private message
rada
Apprentice
Apprentice


Joined: 21 Oct 2005
Posts: 202
Location: Ottawa, Canada

PostPosted: Thu Oct 27, 2005 4:48 pm    Post subject: Reply with quote

so I unmerged the old cairo and it let the new one install. :)
Back to top
View user's profile Send private message
ca_grover
Apprentice
Apprentice


Joined: 08 Jun 2003
Posts: 150
Location: Canada, Eh?

PostPosted: Fri Jan 13, 2006 10:34 pm    Post subject: Reply with quote

I had a similar problem with Cairo blocking itself. I posted my issue here, which got tagged as a duplicate and moved, so I can't post a response (only moderators can apparently). However, I'm not sure if it was a duplicate...

In my case, doing emerge -C cairo, would fail - whether I specified the version or not. The suggested fix was to do
Code:
emerge -aC '<=cairo-0.2'
(note it's slightly changed from the original post).

This DID find a package to uninstall, and then my emerge world was able to continue properly. Hopefully this will help others in a similar situation.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum